Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install binutils-2.22 on Ubuntu 10.04. I have downloaded the source code of binutils-2.22, configured it with a custom prefix (to not conflict with the system binutils) and built it.

However, I am having trouble linking programs with the new binutils. A program that linked just fine with the system binutils, now gives the following errors at link time:

/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXext.so.6, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXrender.so.1, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXinerama.so.1, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXi.so.6, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXrandr.so.2, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXcursor.so.1, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXcomposite.so.1, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXdamage.so.1, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libXfixes.so.3, needed by /usr/lib/../lib32/libgtk-x11-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libpcre.so.3, needed by /usr/lib/../lib32/libgio-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libresolv.so.2, needed by /usr/lib/../lib32/libgio-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libselinux.so.1, needed by /usr/lib/../lib32/libgio-2.0.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libpixman-1.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libdirectfb-1.2.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libfusion-1.2.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libdirect-1.2.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libxcb-render-util.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libxcb-render.so.0, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libxcb.so.1, needed by /usr/lib/../lib32/libcairo.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libICE.so.6, needed by /usr/lib/../lib32/libSM.so, not found (try using -rpath or -rpath-link)
/home/<myname>/Programs/binutils/binutils-2.22/bin/ld: warning: libuuid.so.1, needed by /usr/lib/../lib32/libSM.so, not found (try using -rpath or -rpath-link)

followed by a slew of "undefined reference" errors.

Do I need to do some additional configuration to get binutils-2.22 to work?

share|improve this question
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.